# Move QStash to Team

> Moves a QStash instance to a different team.

`POST /qstash/move-to-team`

## OpenAPI

````yaml devops/developer-api/openapi.yml post /qstash/move-to-team
openapi: 3.0.4
info:
  title: Developer API - Upstash
  description: This is a documentation to specify Developer API endpoints based on
    the OpenAPI 3.0 specification.
  contact:
    name: Support Team
    email: support@upstash.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://api.upstash.com/v2
tags:
  - name: redis
    description: Manage redis databases.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: teams
    description: Manage teams and team members.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: vector
    description: Manage vector indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: search
    description: Manage search indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: qstash
    description: Manage QStash.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
paths:
  /qstash/move-to-team:
    post:
      summary: Move QStash to Team
      description: Moves a QStash instance to a different team.
      operationId: moveQStashToTeam
      tags:
        - qstash
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - qstash_id
                - target_team_id
              properties:
                qstash_id:
                  type: string
                  description: ID of the QStash instance to move
                target_team_id:
                  type: string
                  description: ID of the target team
      responses:
        "200":
          description: QStash moved successfully
          content:
            application/json:
              schema:
                type: string
                example: OK
      security:
        - basicAuth: []
````
